# Generated by Django 3.2 on 2024-07-09 07:32

from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0096_katpengaduan_status'),
    ]

    operations = [
        migrations.CreateModel(
            name='pelayananPublik',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('no_identitas', models.CharField(max_length=255)),
                ('nama', models.CharField(max_length=255)),
                ('email', models.CharField(default='', max_length=100)),
                ('no_hp', models.CharField(default='', max_length=100)),
                ('status', models.CharField(default='perorangan', max_length=100)),
                ('alamat', models.CharField(max_length=255)),
                ('nama_instansi', models.CharField(max_length=255, null=True)),
                ('deskripsi', models.TextField(blank=True, null=True)),
                ('lampiran', models.ImageField(default='profile/images/artikel/no-image.jpg', upload_to='profile/images/pengaduan/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('slug', models.SlugField(max_length=300, unique=True)),
                ('kategori', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.katpengaduan')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
